Class
Rng
Random Number Generator

Rng

Mersenne Twister Rng | Rng Functor

Rng<>
Rng<TSpec>
Include Headers
seqan/random.h
Parameters

TSpec | Random Number Generator specialization. Default: Mersenne Twister Rng

Specializations

Mersenne Twister Rng | Mersenne Twister 19937 Random Number Generator
Rng Functor | Functor wrapper for random number generation.

Metafunctions

MaxValue | Supremum for a given type.
MinValue | Infimum for a given type.
Value | Type of the items in the container.

Member Functions

operator() | Function call operator.

Functions

pickRandomNumber | Pick a random number using a random number generator object, possibly following the given distribution.
shuffle | Shuffle the given container.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45